## freeimage 3.9.3

=== FreeImage/Source/LibTIFF/SConstruct ===
# $Id: SConstruct,v 1.8 2006/10/28 19:36:43 drolon Exp $

# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2005, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# This file contains rules to build software with the SCons tool
# (see the http://www.scons.org/ for details on SCons).

# Import globally defined options
Import([ 'env', 'idir_lib' ])

SRCS = [ \
	'tif_aux.c', \
	'tif_close.c', \
	'tif_codec.c', \
	'tif_color.c', \
	'tif_compress.c', \
	'tif_dir.c', \
	'tif_dirinfo.c', \
	'tif_dirread.c', \
	'tif_dirwrite.c', \
	'tif_dumpmode.c', \
	'tif_error.c', \
	'tif_extension.c', \
	'tif_fax3.c', \
	'tif_fax3sm.c', \
	'tif_flush.c', \
	'tif_getimage.c', \
	'tif_jbig.c', \
	'tif_jpeg.c', \
	'tif_luv.c', \
	'tif_lzw.c', \
	'tif_next.c', \
	'tif_ojpeg.c', \
	'tif_open.c', \
	'tif_packbits.c', \
	'tif_pixarlog.c', \
	'tif_predict.c', \
	'tif_print.c', \
	'tif_read.c', \
	'tif_strip.c', \
	'tif_swab.c', \
	'tif_thunder.c', \
	'tif_tile.c', \
	'tif_unix.c', \
	'tif_version.c', \
	'tif_warning.c', \
	'tif_write.c', \
	'tif_zip.c' ]

StaticLibrary('tiff', SRCS)
SharedLibrary('tiff', SRCS)

## freeimage 3.10.0

=== Examples/Linux/Makefile ===
CC = gcc
CPP = g++
COMPILERFLAGS = -O3
INCLUDE = -I../../Dist -I/usr/include/asm
VGALIBRARIES = -lfreeimage -lvga
GTKLIBRARIES = -lfreeimage -lgtk -lgdk
GTKINCLUDE = -I/usr/lib/glib/include
CFLAGS = $(COMPILERFLAGS) $(INCLUDE)



all: default

default: linux-svgalib linux-gtk

linux-svgalib: linux-svgalib.c
	$(CC) $(CFLAGS) $< -o $@ $(VGALIBRARIES)
	strip $@

linux-gtk: linux-gtk.c
	$(CC) $(CFLAGS) $< -o $@ $(GTKLIBRARIES) $(GTKINCLUDE)
	strip $@

clean:
	rm -f core linux-svgalib linux-gtk

## freeimage 3.15.1

=== debian/changelog ===
freeimage (3.15.1-1.1+deb7u1) wheezy-security; urgency=high

  * CVE-2016-5684: Fix out-of-bounds write vulnerability in the XMP image
    handling functionality; a specially crafted XMP file can cause an arbitrary
    memory overwrite resulting in code execution. (Closes: #839827)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 11:56:04 +0100

freeimage (3.15.1-1.1) wheezy-security; urgency=high

  * Non-maintainer upload.
  * Fix integer overflow CVE-2015-0852. (Closes: #797165)

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Oct 2015 22:33:32 +0100

freeimage (3.15.1-1) unstable; urgency=low

  [ Evan Broder ]
  * QA upload.
  * New upstream release (closes: 649541, LP: #898825, #898845)
    - Refreshed patches.
      + Abuse dh-autoreconf to generate Makefile.srcs and fipMakefile.srcs
        patches at build time
    - Update debian/freeimage-get-orig-source for the new version.
    - Add new build-dep libraw-dev.
    - Update patch to disable embedded libraries to deal with API changes
      in libpng, libmng, and libraw.
    - Make sure we install symlinks for libfreeimageplus.
    - Use (upstream-supported) CFLAGS instead of COMPILERFLAGS.
  * Switch to source format 3.0 (quilt)
  * Switch to dh(1) and debhelper compat 8
  * Add missing misc:Depends.
  * Include the upstream changelog.
  * Update Debian standards version (no other changes needed).

  [ Stefano Rivera ]
  * Dropped README.source.
  * Updated freeimage (3.9.5) fixes CVE-2011-1167, CVE-2011-0192,
    CVE-2010-2595
  * Override lintian's embedded-library error for libtiff. It wasn't
    extricable.

 -- Evan Broder <evan@ebroder.net>  Tue, 06 Dec 2011 14:31:21 +0200

freeimage (3.10.0-4) unstable; urgency=low

  * Fix copy-pasto in tif_config.h.

 -- Julien Cristau <jcristau@debian.org>  Fri, 29 Oct 2010 22:39:26 +0200

freeimage (3.10.0-3) unstable; urgency=low

  * Don't use embedded copies of various libraries, add build-deps on their
    packaged versions (closes: #595560):
    - libjpeg 6b
    - libmng 1.0.9
    - libopenjpeg 1.2.0
    - libpng 1.2.23
      + CVE-2010-2249, CVE-2010-1205, CVE-2010-0205, CVE-2009-2042,
        CVE-2008-6218, CVE-2008-5907, CVE-2009-0040, CVE-2008-3964,
        CVE-2008-1382
    - openexr 1.6.1
      + CVE-2009-1720, CVE-2009-1721
    - zlib 1.2.3
  * The embedded libtiff copy is still used, because freeimage uses its
    internals and I couldn't figure out how to unentangle this.  Update the
    tiff copy to 3.9.4-5, though:
    CVE-2010-3087, CVE-2010-2483, CVE-2010-2482, CVE-2010-2481, CVE-2010-2443,
    CVE-2010-2233, CVE-2010-2067, CVE-2010-2065, CVE-2010-1411, CVE-2009-2347,
    CVE-2008-2327.
  * Add tiff copyright and license to debian/copyright (closes: #601002)
  * Link with -lm (closes: #558857).
  * Try to avoid arch-specific values in our copy of tif_config.h and
    tiffconf.h (closes: #601762)
  * Set LFS CFLAGS in Makefile.gnu.
  * Orphan package (closes: #595559).

 -- Julien Cristau <jcristau@debian.org>  Fri, 29 Oct 2010 14:46:46 +0200

freeimage (3.10.0-2) unstable; urgency=low

  * Fixed typo in short description of libfreeimage3-dbg.
    (Closes: #518647)
  * Adjusted patched to not need -p0 (Closes: #485251).
  * Made package priority optional.
  * Moved libfreeimage3-dbg package into debug section. 
  * Added debian/README.source.
  * Added watch file.
  * Added myself to Uploaders.
  * Updated Standards-Version.

 -- Michael Koch <konqueror@gmx.de>  Tue, 15 Sep 2009 20:12:53 +0200

freeimage (3.10.0-1) unstable; urgency=low

  * New upstream release. Closes: #471242
  * Added extra freeimage documentation in orig tarball.
  * Added get-orig-source target.
  * Added Homepage field in control file.
  * Removing some unnecessary stuff from rules file.
  * Adding some necessary build dependencies.
  * Adding some modifications to allow for configuring various compiler flags.
  * Fix FTBFS on amd64.
  * Adding debug package.
  * Added DM-Upload-Allowed: yes field.
  * Added Vcs entries.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 15 May 2008 03:18:00 -0400

freeimage (3.9.3-3) unstable; urgency=low

  * Removed the file FreeImage393.pdf for which sources are apparently
    not available.
  * Added copyright ownner to copyright file.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 07 May 2007 15:35:21 +0200

freeimage (3.9.3-2) unstable; urgency=low

  * Now also build FreeImagePlus.
  * Changed C++ to C/C++ in debian/control.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 22 Apr 2007 21:59:14 +0200

freeimage (3.9.3-1) unstable; urgency=low

  * Initial release (Closes: #419696)

 -- Federico Di Gregorio <fog@debian.org>  Sat, 21 Apr 2007 09:36:44 +0200

=== debian/control ===
Source: freeimage
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-autoreconf,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libopenexr-dev,
 libopenjpeg-dev,
 libpng-dev,
 libraw-dev,
 pkg-config,
 tofrodos,
 zlib1g-dev
Standards-Version: 3.9.2
Section: libs
DM-Upload-Allowed: yes
Homepage: http://freeimage.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/freeimage.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freeimage.git

Package: libfreeimage-dev
Section: libdevel
Architecture: any
Depends: libfreeimage3 (= ${binary:Version}), ${misc:Depends}
Description: Support library for graphics image formats (development files)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the headers and static libraries needed to develop
 programs using FreeImage.

Package: libfreeimage3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support library for graphics image formats (library)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the FreeImage library.

Package: libfreeimage3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfreeimage3 (= ${binary:Version}), ${misc:Depends}
Description: Support library for graphics image formats (debugging symbols)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the debugging symbols for the FreeImage library.

## freeimage 3.15.4

=== Source/LibTIFF/SConstruct ===
# $Id: SConstruct,v 1.29 2011/04/10 17:14:09 drolon Exp $

# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2005, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# This file contains rules to build software with the SCons tool
# (see the http://www.scons.org/ for details on SCons).

# Import globally defined options
Import([ 'env', 'idir_lib' ])

SRCS = [ \
	'tif_aux.c', \
	'tif_close.c', \
	'tif_codec.c', \
	'tif_color.c', \
	'tif_compress.c', \
	'tif_dir.c', \
	'tif_dirinfo.c', \
	'tif_dirread.c', \
	'tif_dirwrite.c', \
	'tif_dumpmode.c', \
	'tif_error.c', \
	'tif_extension.c', \
	'tif_fax3.c', \
	'tif_fax3sm.c', \
	'tif_flush.c', \
	'tif_getimage.c', \
	'tif_jbig.c', \
	'tif_jpeg.c', \
	'tif_luv.c', \
	'tif_lzw.c', \
	'tif_next.c', \
	'tif_ojpeg.c', \
	'tif_open.c', \
	'tif_packbits.c', \
	'tif_pixarlog.c', \
	'tif_predict.c', \
	'tif_print.c', \
	'tif_read.c', \
	'tif_strip.c', \
	'tif_swab.c', \
	'tif_thunder.c', \
	'tif_tile.c', \
	'tif_unix.c', \
	'tif_version.c', \
	'tif_warning.c', \
	'tif_write.c', \
	'tif_zip.c' ]

StaticLibrary('tiff', SRCS)
SharedLibrary('tiff', SRCS)

=== debian/changelog ===
freeimage (3.15.4-3ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/Fix-CVE-2016-5684.patch: Fix out-of-bounds write
      vulnerability in the XMP image handling functionality
    - CVE-2016-5684

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 28 Mar 2019 11:50:15 -0400

freeimage (3.15.4-3) unstable; urgency=low

  * QA upload.
  * disable_embedded_libraries.patch
    - Use system libtiff (Closes: #735249)
      Thanks to Sabayon from Gentoo for the hints
  * tag_truncation.patch
    - Cherry pick upstream fix for truncation of tags in TIFF files
      Thanks to Julian Taylor (Closes: #735847)

 -- Scott Howard <showard@debian.org>  Sun, 19 Jan 2014 21:44:52 -0500

freeimage (3.15.4-2) unstable; urgency=low

  * Fix FTBFS from declaring UINT64 twice
    - updated debian/patches/fixes_ftbfs_amd64.patch

 -- Scott Howard <showard@debian.org>  Tue, 14 Jan 2014 11:51:54 -0500

freeimage (3.15.4-1) unstable; urgency=low

  * QA Upload
  * New upstream minor release 
    - Includes fix to build on !linux (Closes: #650485)
  * Refreshed patches (line endings had to change)
    - Remove document-mode.patch (accepted upstream)
  * Lintian fixes: S-V 3.9.5, DM-Upload-Allowed removed
  * Remove document-mode.patch (accepted upstream)

 -- Scott Howard <showard@debian.org>  Mon, 13 Jan 2014 21:57:45 -0500

freeimage (3.15.1-2) unstable; urgency=low

  * QA upload.
  * debian/patches/document-mode.patch:
    - Fix FTBFS with LibRaw 0.15 (Closes: #710133).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Jul 2013 11:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: freeimage
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 8),
  dh-autoreconf,
@@ -11,12 +12,12 @@
  libopenjpeg-dev,
  libpng-dev,
  libraw-dev,
+ libtiff-dev,
  pkg-config,
  tofrodos,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
-DM-Upload-Allowed: yes
 Homepage: http://freeimage.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/freeimage.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/freeimage.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -fPIC
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fPIC
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with=autoreconf

gen-src-list:
	fromdos gensrclist.sh
	fromdos genfipsrclist.sh
	sh gensrclist.sh
	sh genfipsrclist.sh

override_dh_autoreconf:
	dh_autoreconf $(MAKE) -- -f $(CURDIR)/debian/rules gen-src-list

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -f Makefile.fip CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	mkdir -p debian/tmp/usr/include
	mkdir -p debian/tmp/usr/lib
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -f Makefile.fip install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -f Makefile.fip clean

override_dh_installdocs:
	dh_installdocs extra.Debian/*

override_dh_installchangelogs:
	dh_installchangelogs Whatsnew.txt

override_dh_strip:
	dh_strip --dbg-package=libfreeimage3-dbg

get-orig-source:
	$(dir $_)freeimage-get-orig-source

## freeimage 3.17.0%2Bds1

=== debian/changelog ===
freeimage (3.17.0+ds1-5) unstable; urgency=medium

  [ James Cowgill ]
  * [ab6c23d] Make the FaxG3 plugin visible but with no implementation
    (Closes: #850027)

  [ Anton Gladky ]
  * [a4e7243] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Jan 2017 20:45:54 +0100

freeimage (3.17.0+ds1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * Fix CVE-number.

  [ Ghislain Antony Vaillant ]
  * Fix FTCBFS: use triplet-prefixed build tools.
    Thanks to Helmut Grohne for the fix (Closes: #845279)
  * Fix wrong file type detection for certain plugins.
    Update Disable-vendored-dependencies.patch
    Thanks to Boris Lesner for the fix (Closes: #841089)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 13 Dec 2016 16:48:47 +0000

freeimage (3.17.0+ds1-3) unstable; urgency=critical

  [ Ghislain Antony Vaillant ]
  * Fix CVE-2016-5684: apply patch from wheezy-security.
    Thanks to Salvatore Bonaccorso, Balint Reczey and Chris Lamb
    (Closes: #839827)
  * d/gbp.conf: use master as packaging branch.
  * Bump standards version to 3.9.8, no changes required.
  * Upgrade to debhelper 10.
    - Bump compat version to 10.
    - Bump versioned depends of debhelper to 10.
    - Drop explicit usage of `--with autoreconf` from dh command.
    - Drop explicit usage of `--parallel` from dh command.
  * Use DEB_BUILD_MAINT_OPTIONS for hardening.
  * Disable PIE hardening feature.

  [ Anton Gladky ]
  * Change the urgency to critical.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 10 Oct 2016 15:12:26 +0100

freeimage (3.17.0+ds1-2) unstable; urgency=medium

  * Improve build reproducibility by applying suggested s/sort/LC_ALL=C sort/
    to Disable-vendored-dependencies.patch.
  * Merge libpng16.patch with Fix-compatibility-with-system-libpng.patch.
  * Use secure Vcs-Git URI.
  * Bump standards version to 3.9.7, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 04 Mar 2016 09:59:58 +0000

freeimage (3.17.0+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * FTBFS with libpng1.6: New patch libpng16.patch (Closes: #742560)

 -- Tobias Frost <tobi@debian.org>  Fri, 22 Jan 2016 06:33:47 +0100

freeimage (3.17.0+ds1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 18 Jan 2016 08:33:15 +0100

freeimage (3.17.0+ds1-1~exp2) experimental; urgency=medium

  * Add missing breaks / replaces relationship for libfreeimageplus-dev.
    Thanks to Andreas Beckmann (Closes: #810570)
  * Add missing depends on libfreeimage-dev for libfreeimageplus-dev.
  * autopkgtest: use respective -dev packages for fi and fip tests.
  * Add patch fixing the encoding of the FreeImage public header.
    Thanks to Christophe Trophime (Closes: #798003)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 10 Jan 2016 16:09:02 +0000

freeimage (3.17.0+ds1-1~exp1) experimental; urgency=medium

  [ Ghislain Antony Vaillant ]
  * New upstream release.
  * Use repacked upstream source tarball:
    - d/copyright: exclude vendored libraries.
    - d/watch: use more flexible regexes.
    - Remove *get-orig script, no longer used.
    - Remove *lintian-overrides, no longer used.
  * d/copyright: update licensing information.
  * Add gbp.conf file.
  * d/control: refresh list of build dependencies.
  * Add new binary packages for FreeImagePlus.
    Packages: libfreeimageplus{3,3-dbg,-dev,-doc}
  * d/rules:
    - Add multi-arch support.
    - Use modern hardening settings.
    - Run FreeImage and FreeImagePlus testsuites.
    - Call upstream dos2unix target.
  * Add autopkgtest support.
  * Refresh patch queue:
    - Drop disable_embedded_libraries.patch, replaced by new set of patches
      derived from Fedora's.
      Files: Disable-vendored-dependencies.patch,
             Use-system-dependencies.patch
    - Drop patch for CVE-2015-3885, FreeImage now uses the system libraw.
    - Disable tests for any functionality requiring the vendored libraries.
      File: Disable-testing-of-JPEG-transform.patch
    - Temporary disable failing JXR MemIO test.
      File: Disable-testing-of-JXR-MemIO.patch
    - Improve compatibility with system libraries.
      Files: Fix-macro-redefinition-of-64-bit-integer-types.patch,
             Fix-compatibility-with-system-libpng.patch
    - Various bug fixes caught whilst testing.
      Files: Fix-unsafe-usage-of-printf-in-testsuite.patch,
             Fix-missing-cstdio-include-in-testsuite.patch,
             Fix-endianness-detection.patch
    - Disable HTML timestamps in Doxygen documentation.
      File: Disable-usage-of-HTML-timestamps-in-doxygen.patch
    - Rename patch fixing CVE-2015-0852.
      File: Fix-CVE-2015-0852.patch

  [ Anton Gladky ]
  * Fix typo in d/control.
  * Use packaged jquery.js instead of embedded.
  * Fix build in indep-only mode.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 11 Nov 2015 13:40:17 +0000

freeimage (3.15.4-6) unstable; urgency=medium

  * [2ae274b] Move package under the Debian science team. (Closes: #604614)
  * [d526203] Apply cme fix dpkg-control.
  * [d526a52] Use compat level 9.
  * [c8cc95b] Simplify d/rules, .install.
  * [2682cec] Fix integer overflow in the ljpeg_start function CVE-2015-3885.
              (Closes: #786790)
  * [64a044f] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Oct 2015 23:17:04 +0100

freeimage (3.15.4-5) unstable; urgency=medium

  [ W. Martin Borgert ]
  * QA upload.
  * [e807e1c] Fix integer overflow. (Closes: #797165)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 15 Sep 2015 22:50:49 +0200

freeimage (3.15.4-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove libjpeg8-dev from Build-Depends
  * Add compatibility transupp.c from src:libjpeg-turbo and use that
    to compile against libjpeg62 (Closes: #763255)
  * Make d/copyright machine readable and add jpeg/* and Source/LibJPEG/*
    license



## freeimage 3.17.0+ds1

=== debian/changelog ===
freeimage (3.17.0+ds1-5build2) artful; urgency=medium

  * No-change rebuild against libwebpmux3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 03:55:40 +0000

freeimage (3.17.0+ds1-5build1) zesty; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 19:00:18 -0500

=== debian/control ===
Source: freeimage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               dos2unix,
               libjpeg-dev,
               libjxr-dev,
               libopenexr-dev,
               libopenjp2-7-dev,
               libpng-dev,
               libraw-dev,
               libtiff-dev,
               libwebp-dev,
               pkg-config,
               zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/freeimage.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/freeimage.git
Homepage: http://freeimage.sourceforge.net/
Testsuite: autopkgtest

Package: libfreeimage-dev
Architecture: any
Section: libdevel
Depends: libfreeimage3 (= ${binary:Version}),
         ${misc:Depends}
Description: Support library for graphics image formats (development files)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the headers and static libraries needed to develop
 programs using FreeImage.

Package: libfreeimage3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Support library for graphics image formats (library)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the FreeImage library.

Package: libfreeimage3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libfreeimage3 (= ${binary:Version}),
         ${misc:Depends}
Description: Support library for graphics image formats (debugging symbols)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the debugging symbols for the FreeImage library.

Package: libfreeimageplus-dev
Architecture: any
Section: libdevel
Depends: libfreeimage-dev (>= 3.17.0+ds1-1~exp2),
         libfreeimageplus3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreeimageplus-doc
Breaks: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
Replaces: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
Description: C++ wrappers for FreeImage (development files)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the headers and static libraries needed to develop
 programs using FreeImagePlus.

Package: libfreeimageplus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: C++ wrappers for FreeImage (documentation)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the documentation for FreeImagePlus.

Package: libfreeimageplus3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrappers for freeimage (library)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the FreeImagePlus library.

Package: libfreeimageplus3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libfreeimageplus3 (= ${binary:Version}),
         ${misc:Depends}
Description: C++ wrappers for FreeImage (debugging symbols)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the debugging symbols for the FreeImagePlus library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# See Bug-Debian #845279.
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif
export PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config

# Installation paths.
DESTDIR = $(CURDIR)/debian/tmp
INSTALL_INCDIR = $(DESTDIR)/usr/include
INSTALL_LIBDIR = $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

gen-src-list:
	sh gensrclist.sh
	$(MAKE) -f Makefile.gnu dos2unix
	sh genfipsrclist.sh
	$(MAKE) -f Makefile.fip dos2unix

override_dh_autoreconf:
	dh_autoreconf $(MAKE) -- -f $(CURDIR)/debian/rules gen-src-list

override_dh_auto_build-arch:
	$(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -f Makefile.fip CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_build-indep:
	cd $(CURDIR)/Wrapper/FreeImagePlus/doc && doxygen FreeImagePlus.dox

override_dh_auto_install-arch:
	dh_auto_install -- INCDIR="$(INSTALL_INCDIR)" INSTALLDIR="$(INSTALL_LIBDIR)"
	$(MAKE) -f Makefile.fip install INCDIR="$(INSTALL_INCDIR)" INSTALLDIR="$(INSTALL_LIBDIR)"

override_dh_auto_install-indep:

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Building and running the FreeImage testsuite..."
	cd $(CURDIR)/TestAPI && \
	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimage -o testAPI && \
	LD_LIBRARY_PATH=$(CURDIR)/Dist ./testAPI
	echo "Building and running the FreeImagePlus testsuite..."
	cd $(CURDIR)/Wrapper/FreeImagePlus/test && \
	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimageplus -lfreeimage -o fipTest && \
	LD_LIBRARY_PATH=$(CURDIR)/Dist ./fipTest
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -f Makefile.fip clean

override_dh_install-indep:
	dh_installdocs --indep

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_doxygen --indep

override_dh_installchangelogs:
	dh_installchangelogs Whatsnew.txt

override_dh_strip:
	dh_strip --package=libfreeimage3 --dbg-package=libfreeimage3-dbg
	dh_strip --package=libfreeimageplus3 --dbg-package=libfreeimageplus3-dbg

## freeimage 3.18.0%2Bds2

=== debian/changelog ===
freeimage (3.18.0+ds2-1ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2019-12211-13.patch: Fix heap buffer
      overflow caused by invalid memcpy in PluginTIFF and stack
      exhaustion caused by unwanted recursion in ReadThumbnail.
    - CVE-2019-12211
    - CVE-2019-12213
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-21427_*: fix buffer overflow in PluginBMP
    - CVE-2020-21427
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-21428_*: fix buffer overflow in PluginDDS
    - CVE-2020-21428
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-22524_*: fix buffer overflow in PluginPFM
    - CVE-2020-22524

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 10 Jan 2024 18:08:18 +0100

freeimage (3.18.0+ds2-1ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:03:52 +0100

freeimage (3.18.0+ds2-1ubuntu2) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:16:12 +0000

freeimage (3.18.0+ds2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/Use-system-jpeg_read_icc_profile.patch: Use
      jpeg_read_icc_profile() from libjpeg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 17:31:34 -0800

freeimage (3.18.0+ds2-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Jan 2019 16:45:35 +0100

freeimage (3.18.0+ds2-1~exp1) experimental; urgency=medium

  [ Andreas Tille ]
  * [6aa4ac3] New upstream version 3.18.0+ds1
  * [7de4a2a] Refresh patches

  [ Anton Gladky ]
  * [61b38c4] Update d/copyright
  * [1f3f566] New upstream version 3.18.0+ds2
  * [4586d3b] Refresh patches
  * [7ca9b46] Update -docs
  * [b8ae146] Use standards-version 4.2.1

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Jan 2019 16:45:20 +0100

freeimage (3.17.0+ds1-6) unstable; urgency=medium

  * Team upload.
  * Drop redundant Testsuite: autopkgtest
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop explicit -dbg packages

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jul 2018 04:52:29 +0200

freeimage (3.17.0+ds1-5ubuntu1) disco; urgency=medium

  * debian/patches/Use-system-jpeg_read_icc_profile.patch: Use
    jpeg_read_icc_profile() from libjpeg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 21:03:57 -0800

freeimage (3.17.0+ds1-5build4) disco; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Nov 2018 16:34:31 -0500

freeimage (3.17.0+ds1-5build3) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 May 2018 14:06:57 -0400

## freeimage 3.18.0+ds2

=== Examples/Linux/Makefile ===
CC = gcc
CPP = g++
COMPILERFLAGS = -O3
INCLUDE = -I../../Dist
VGALIBRARIES = -lfreeimage -lvga
VGAINCLUDE = -I/usr/include/asm
GTKLIBRARIES = -lfreeimage `pkg-config --libs gtk+-2.0`
GTKINCLUDE = `pkg-config --cflags gtk+-2.0`
CFLAGS = $(COMPILERFLAGS) $(INCLUDE)

all: default

default: linux-svgalib linux-gtk

linux-svgalib: linux-svgalib.c
	$(CC) $(CFLAGS) $< -o $@ $(VGALIBRARIES) $(VGAINCLUDE)
	strip $@

linux-gtk: linux-gtk.c
	$(CC) $(CFLAGS) $< -o $@ $(GTKLIBRARIES) $(GTKINCLUDE)
	strip $@

clean:
	rm -f core linux-svgalib linux-gtk

=== debian/changelog ===
freeimage (3.18.0+ds2-10build4) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 05:59:27 +0000

freeimage (3.18.0+ds2-10build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:00:20 +0000

freeimage (3.18.0+ds2-10build2) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 16:08:04 +0000

freeimage (3.18.0+ds2-10build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:32:46 +0000

freeimage (3.18.0+ds2-10) unstable; urgency=medium

  * Team upload
  * Fix CVE-2020-21427 with upstream patches
  * Fix CVE-2020-21428 with upstream patch
  * Fix CVE-2020-22524 with upstream patch

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 14:50:01 +0000

freeimage (3.18.0+ds2-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with LibRaw 0.21. (Closes: #1040259)
  * Add upstream fix for compilation on big endian. (Closes: #1002610)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Jul 2023 00:29:00 +0300

freeimage (3.18.0+ds2-9) unstable; urgency=medium

  * Team upload.
  * The -dev packages are Multi-Arch:same (Closes: #1023696)

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Feb 2023 23:56:16 -0800

freeimage (3.18.0+ds2-8) unstable; urgency=medium

  [ Anton Gladky ]
  * [1216cab] Set Standards-Version: 4.6.1

  [ Mathieu Malaterre ]
  * [e6f1f63] d/patches: Refresh patch to handle openexr 3.x split.
    (Closes: #1017512)

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Aug 2022 23:39:55 +0200

freeimage (3.18.0+ds2-7) unstable; urgency=medium

  [ Steve Langasek ]
  * [242e474] Use jpeg_read_icc_profile() from libjpeg.

  [ Anton Gladky ]
  * [7fdce91] Update to the new ffmpeg_4.4.0+. (Closes: #1011416, #1011710)
  * [53c97ea] Update .gitlab-ci.yml
  * [2184c25] Update standards version to 4.6.0, no changes needed.
  * [d32e2a2] Avoid explicitly specifying -Wl,--as-needed linker flag.
  * [9060df4] Update watch file format version to 4.
  * [e40bdff] Drop unnecesary build version restrictions

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2022 13:31:41 +0200

freeimage (3.18.0+ds2-6) unstable; urgency=medium

  * [cf6ffd2] Fix FTBFS against libraw 0.20.0. (Closes: #968637)
  * [09d8830] Set compat-level to 13
  * [d09f8b8] Install *.a files

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Aug 2020 23:31:08 +0200

freeimage (3.18.0+ds2-5) unstable; urgency=medium

  * [bef22ed] Revert "Add Rules-Requires-Root: no"

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jul 2020 19:40:05 +0200

freeimage (3.18.0+ds2-4) unstable; urgency=medium

  * [d2fd1a9] Add debian/.gitlab-ci.yml
  * [0dbdc38] Fix compilation due to external-static mismatch. (Closes: #964653)
  * [a244b61] Respect CPPFLAGS
  * [736ea7b] Update standards version to 4.5.0, no changes needed.
  * [e86eeb9] Add Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jul 2020 23:05:20 +0200

freeimage (3.18.0+ds2-3) unstable; urgency=medium

  [ Hugo Lefeuvre ]
  * CVE-2019-12213: stack exhaustion caused by unwanted recursion in
    ReadThumbnail (Closes: #929597).
  * CVE-2019-12211: heap buffer overflow caused by invalid memcpy in
    PluginTIFF.

  [ Anton Gladky ]
  * [2a2e206] Bump debhelper from old 11 to 12.
  * [044ea9c] Set debhelper-compat version in Build-Depends.
  * [f776923] Set Standards-Version to 4.4.1. No changes
  * [5417d72] Replace ADTTMP by AUTOPKGTEST_TMP

 -- Anton Gladky <gladk@debian.org>  Tue, 31 Dec 2019 20:58:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dos2unix,
                libjpeg-dev,
                libjxr-dev,
@@ -18,17 +18,17 @@
                pkg-config,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/freeimage.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/freeimage.git
-Homepage: http://freeimage.sourceforge.net/
-Testsuite: autopkgtest
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/science-team/freeimage
+Vcs-Git: https://salsa.debian.org/science-team/freeimage.git
+Homepage: https://freeimage.sourceforge.net/
 
 Package: libfreeimage-dev
 Architecture: any
 Section: libdevel
 Depends: libfreeimage3 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Support library for graphics image formats (development files)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -54,31 +54,14 @@
  .
  This package contains the FreeImage library.
 
-Package: libfreeimage3-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libfreeimage3 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Support library for graphics image formats (debugging symbols)
- FreeImage is an Open Source C/C++ library project for developers who would
- like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
- and others as needed by today's multimedia applications. FreeImage is
- easy to use, fast, multithreading safe, and cross-platform (works both
- with Linux, 32 bit Windows and Mac OS X).
- .
- This package contains the debugging symbols for the FreeImage library.
-
 Package: libfreeimageplus-dev
 Architecture: any
 Section: libdevel
-Depends: libfreeimage-dev (>= 3.17.0+ds1-1~exp2),
+Depends: libfreeimage-dev,
          libfreeimageplus3 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libfreeimageplus-doc
-Breaks: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
-Replaces: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
+Multi-Arch: same
 Description: C++ wrappers for FreeImage (development files)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -94,6 +77,7 @@
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery
+Multi-Arch: foreign
 Description: C++ wrappers for FreeImage (documentation)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -117,19 +101,3 @@
  with Linux, 32 bit Windows and Mac OS X).
  .
  This package contains the FreeImagePlus library.
-
-Package: libfreeimageplus3-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libfreeimageplus3 (= ${binary:Version}),
-         ${misc:Depends}
-Description: C++ wrappers for FreeImage (debugging symbols)
- FreeImage is an Open Source C/C++ library project for developers who would
- like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
- and others as needed by today's multimedia applications. FreeImage is
- easy to use, fast, multithreading safe, and cross-platform (works both
- with Linux, 32 bit Windows and Mac OS X).
- .
- This package contains the debugging symbols for the FreeImagePlus library.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # See Bug-Debian #845279.
 include /usr/share/dpkg/architecture.mk
@@ -34,8 +33,8 @@
 	dh_autoreconf $(MAKE) -- -f $(CURDIR)/debian/rules gen-src-list
 
 override_dh_auto_build-arch:
-	$(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
-	$(MAKE) -f Makefile.fip CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	$(MAKE) -f Makefile.fip CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_build-indep:
 	cd $(CURDIR)/Wrapper/FreeImagePlus/doc && doxygen FreeImagePlus.dox
@@ -50,11 +49,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "Building and running the FreeImage testsuite..."
 	cd $(CURDIR)/TestAPI && \
-	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimage -o testAPI && \
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimage -o testAPI && \
 	LD_LIBRARY_PATH=$(CURDIR)/Dist ./testAPI
 	echo "Building and running the FreeImagePlus testsuite..."
 	cd $(CURDIR)/Wrapper/FreeImagePlus/test && \
-	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimageplus -lfreeimage -o fipTest && \
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimageplus -lfreeimage -o fipTest && \
 	LD_LIBRARY_PATH=$(CURDIR)/Dist ./fipTest
 endif
 
@@ -71,7 +70,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs Whatsnew.txt
-
-override_dh_strip:
-	dh_strip --package=libfreeimage3 --dbg-package=libfreeimage3-dbg
-	dh_strip --package=libfreeimageplus3 --dbg-package=libfreeimageplus3-dbg

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds1,uversionmangle=s/(\d)(\d+)(\d)/$1.$2.$3/ http://sf.net/freeimage FreeImage(\d+)\.zip
